Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004893TestLinkDatabase MS-SQLpublic2012-01-26 12:412012-09-01 19:59
ReporterWLanger 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoft SQL Server 2008 R2OSMicrosoft Server 2008 R2OS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004893: alter_table scripts, alterations missing in MSSQL version compared to mySQL version of the file
DescriptionDifferences were found in the alter table scripts between MSSQL and mySQL.

testlink-1.9.3\install\sql\alter_tables\1.9\mssql\DB.1.3\step1\db_schema_update.sql

testlink-1.9.3\install\sql\alter_tables\1.9\mysql\DB.1.3\step1\db_schema_update.sql

Table alterations, that are missing in the MSSQL script, are given in additional information.
Additional Information/* builds */
ALTER TABLE /*prefix*/builds ADD closed_on_date datetime NULL

/* tcversions */
ALTER TABLE /*prefix*/tcversions ADD layout INT NOT NULL DEFAULT (1)
ALTER TABLE /*prefix*/tcversions ADD [status] INT NOT NULL CONSTRAINT /*prefix*/DF_tcversions_status DEFAULT (1);
ALTER TABLE /*prefix*/tcversions ADD preconditions TEXT NULL;

/* testplan_tcversions */
ALTER TABLE /*prefix*/testplan_tcversions ADD platform_id int NOT NULL CONSTRAINT /*prefix*/DF_testplan_tcversions_platform_id DEFAULT (0)


/* NEED TO ALTER INDEX */
/* 1 - drop old index */
ALTER TABLE /*prefix*/testplan_tcversions DROP CONSTRAINT /*prefix*/IX_tplan_tcversion
ALTER TABLE /*prefix*/testplan_tcversions ADD CONSTRAINT /*prefix*/IX_tplan_tcversion UNIQUE NONCLUSTERED
(
    tcversion_id ASC,
    testplan_id ASC,
    platform_id ASC
)

/* executions */
ALTER TABLE /*prefix*/executions ADD platform_id int NOT NULL CONSTRAINT /*prefix*/DF_executions_platform_id DEFAULT (0)
CREATE NONCLUSTERED INDEX /*prefix*/executions_IX1 ON /*prefix*/executions
(
    testplan_id,tcversion_id,platform_id,build_id

)
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MSSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004894closedfman create_tables script, column definition missing in MSSQL version compared to mySQL version 

-  Notes
(0017354)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-01-26 12:41 WLanger New Issue
2012-01-29 15:03 fman Status new => resolved
2012-01-29 15:03 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-01-29 15:03 fman Resolution open => fixed
2012-01-29 15:03 fman Assigned To => fman
2012-01-29 15:03 fman Tag Attached: TO BE FIXED on 2.0
2012-01-29 15:04 fman Relationship added related to 0004894
2012-09-01 19:59 fman Note Added: 0017354
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker